<template>
  <div>
    <questionlist-form :queryMsg="qMsg"></questionlist-form>
  </div>
</template>
<script>
  import questionlistForm from '../../components/question/questionlist-form';
  export default {
    
    meta: {
      title: "问题列表"
    },
    components: {
      questionlistForm
    },
    data() {
      return {
        qMsg: {
          BankId: 0,
          CourseId: 0
        }
      }
    },
    created() {
      if (this.$route.query && this.$route.query.CourseId) {
        this.qMsg.CourseId = this.$route.query.CourseId
      }
      if (this.$route.query && this.$route.query.BankId) {
        this.qMsg.BankId = this.$route.query.BankId
      }
    },
    mounted() {},
    methods: {}
  }

</script>
